class InternationalRecruitsController < ApplicationController
  def index
    countries = []
    session = OrbitHelper.request.session
    courses = UniversityCourse.all.asc(:created_at).collect{|uc| [uc.course_name]}
    InternationalCountry::LIST.keys.each do |countrykey|
      countries << [InternationalCountry::LIST[countrykey], countrykey]
    end
    years = (0..10).collect do |x|
      t = x == 10 ? x.to_s + " plus years" : x.to_s
      [t, x]
    end
    login_url = "/#{I18n.locale.to_s}" + (Page.where(:module => "pseudo_member").first.url rescue "")
    {
      "application" => RecruitApplication.new,
      "countries" => countries,
      "years" => years,
      "member" => session["current_pseudo_user_id"],
      "login_url" => login_url,
      "courses" => courses
    }
  end

  def application_success
    {}
  end

  def submitapplication
    ra = RecruitApplication.new(application_params)
    ra.save
    page = Page.where(:module => "international_recruit").first
    redirect_to "/#{I18n.locale.to_s}#{page.url}?method=application_success"
  end

  private
  
  def application_params
    params.require(:recruit_application).permit!
  end

end