class RecruitApplication
  include Mongoid::Document
  include Mongoid::Timestamps

  field :student_type

  # //Personal info//

  field :member_id
  field :chinese_name
  field :english_first_name
  field :english_middle_name
  field :english_last_name
  field :place_of_birth
  field :birth_date, type: DateTime
  field :gender
  field :nationality
  field :passport_no
  field :address_nationality
  field :home_address
  field :country_code
  field :tel_part1
  field :tel_part2
  field :mobile
  field :taiwan_contact_person
  field :taiwan_contact_person_phone
  field :taiwan_mailing_address
  field :legal_guardian_name
  field :legal_guardian_address

  # //Father Info//

  field :taiwanese_father, type: Boolean, :default => false
  field :father_name
  field :father_birthdate, type: DateTime
  field :father_place_of_birth
  field :father_country_code
  field :father_tel_part1
  field :father_tel_part2
  field :father_home_address
  field :father_nationality
  field :father_ID

  # //Mother Info//

  field :taiwanese_mother, type: Boolean, :default => false
  field :mother_name
  field :mother_birthdate, type: DateTime
  field :mother_place_of_birth
  field :mother_country_code
  field :mother_tel_part1
  field :mother_tel_part2
  field :mother_home_address
  field :mother_nationality
  field :mother_ID

  # //Course Choice//

  field :course_choice_one
  field :course_choice_two
  field :course_choice_three

  # //General Options//

  field :financial_options, type: Array
  field :financial_other_financial
  field :health_condition
  field :major_health_condition
  field :chinese_studying_years
  field :chinese_tutor
  field :chinese_proficiency_level_listening
  field :chinese_proficiency_level_speaking
  field :chinese_proficiency_level_reading
  field :chinese_proficiency_level_writing
  field :taken_chinese_test, type: Boolean, :default => false
  field :chinese_test_name
  field :chinese_test_level

  # // Previous educational background //

  field :degree_type
  field :school_name
  field :school_city
  field :school_degree
  field :school_start, type: DateTime
  field :school_end, type: DateTime
  field :graduation_date, type: DateTime
  field :course_major
  field :course_minor

  field :email

  # //Extra Curricular Activities//

  field :extra_curricular_activities, type: Array, :default => []
  field :publications, type: Array, :default => []
  field :previous_employments, type: Array, :default => []


  def get_member
    PseudoUser.find(self.member_id) rescue nil
  end

end