Rails.application.routes.draw do

  locales = Site.find_by(site_active: true).in_use_locales rescue I18n.available_locales
  scope "(:locale)", locale: Regexp.new(locales.join("|")) do
    namespace :admin do 
      resources :international_recruits do
        collection do
          get "courses"
          get "add_course"
          post "create_course"
        end
        member do 
          get "edit_course"
          patch "update_course"
          delete "delete_course"
        end
      end
    end

    post "/xhr/international_recruits/submitapplication" => "international_recruits#submitapplication"
  end
end

