module InternationalRecruit
  class Engine < ::Rails::Engine
    initializer "international_recruit" do 
      OrbitApp.registration "InternationalRecruit", :type => "ModuleApp" do
        module_label "international_recruit.international_recruit"
        base_url File.expand_path File.dirname(__FILE__)
        frontend_enabled
        data_count 1..30
        side_bar do
          head_label_i18n 'international_recruit.international_recruit', icon_class: "icons-graduation"
          available_for "admin"
          active_for_controllers (['admin/international_recruits'])
          head_link_path "admin_international_recruits_path"

          context_link 'international_recruit.applications',
                :link_path=>"admin_international_recruits_path" ,
                :priority=>1,
                :active_for_action=>{'admin/international_recruits'=>"index"},
                :available_for => 'managers'

          context_link 'international_recruit.courses',
                :link_path=>"courses_admin_international_recruits_path" ,
                :priority=>1,
                :active_for_action=>{'admin/international_recruits'=>"courses"},
                :available_for => 'managers'
        end
      end
    end
  end
end